<?php
//カスタムフィールド取得
function getCustom($key,$id) {
	$custom = get_post_custom_values($key, $id);
	$count = count($custom);
	
	if($count>0)
		return implode("<br />",$custom);
	else if($count==1)
		return $custom[0];
	else
		return;
}

/** 
 * 期限日設定つきのエントリーを表示する
 * @author Tenterfeel(tenderfeel@gmail.com)
 * @usage  http://webtecnote.com/wordpress/848/
 * タグやtextdomainは適当に変更してください
 */
function wtn_limit_information($cat)
{

 $info = array_shift(get_posts('cat='.$cat.'&orderby=date'));
 
 if(isset($info) && is_object($info)){
	 $title=get_the_title($info->ID);
	 print '<p><a href="'.get_category_link($cat).'" title="'.sprintf(__('%1の詳細を見る', 'sample'), $title).'">'.get_the_post_thumbnail($info->ID,array(293,'auto'),array('alt'=>$title))."</a></p>\n";
	 
	 $value = getCustom("期日",$info->ID);
	
	if(isset($value)){
		 $limit = split('-',mb_convert_kana($value,'rn'));
	
		 $till = array_shift($limit);
		 $total = count($limit);
		 
		 if(preg_match("/[^\d]+/",$limit[($total-1)])){ $text = array_pop($limit); }
		 
		 $stamp = strtotime(implode("-",$limit))-time();
	
		 if($stamp < 0 && isset($text) ){
				 print("<p id=\"limit\">".$text."</p>\n");
		 }else{
			 printf(__('<p id="limit"><em class="till">%1$s</em>は<span class="year">%2$s</span>年<span class="month">%3$s</span>月<span class="day">%4$s</span>日', 'sample'), $till, $limit[0], $limit[1], $limit[2]);
			 
			 if($limit[3]) printf(__('<span class="hour">%1$s</span>時', 'sample'), $limit[3]);
			 if($limit[4]) printf(__('<span class="minute">%1$s</span>分', 'sample'), $limit[4]);
			 
			 
			 print __("です。</p>")."\n";
		 }
	 }
	
	 if($info->post_excerpt) print '<p class="excerpt">'.$info->post_excerpt."</p>\n";
 }
}
?>